<?
if(isset($_GET['mycellar']) && isset($_GET['seat2']) && intval($_GET['seat2'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_polka2` WHERE `id` = '".intval($_GET['seat2'])."' AND `id_user` = '$ku[id]' AND `id_plant2` = '0' AND `cultivator2` = '1'"),0)!=0)
{
echo '<div class="event"><h1>Магазин рецептов</h1></div>';
echo "<div class='content'>";
echo "<div class='blockings'>";
$polka2=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_polka2` WHERE `id` = '".intval($_GET['seat2'])."' AND `id_user` = '$ku[id]'"));
if(isset($_GET['select']) && intval($_GET['select'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant2` WHERE `id` = '".intval($_GET['select'])."' AND (`level` = '$ku[level]' OR `level` < '$ku[level]')"),0)!=0)
{
$plant2=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant2` WHERE `id` = '".intval($_GET['select'])."'"));
if($ku['rubies']>=$plant2['cena'])
{
$rubies=$plant2['cena'];
if(isset($skidko_act_skid))
{
$rubies=floor($rubies-(($rubies/100)*$skidko_act_skid));
}
$rat=$plant2['rating'];
$rat_sc_act=0;
$rat_drakon_act=0;
$rat_seeder2_act=0;
$rat_school_act=0;
$rat_lib_act=0;


//Ветряк
if(isset($sc_act)){$rat_sc_act=$rat*2;
if(isset($vtr_act))$rat_sc_act=$rat*2*4;}else{
if(isset($vtr_act))$rat_sc_act=$rat*4;
}
//Ветряк

if(isset($sc_act))$rat_sc_act=$rat*2;
if(isset($drakon_act))$rat_drakon_act=(($plant2['rating']/100)*300);
if(isset($seeder2_act))$rat_seeder2_act=(($rat/100)*$seeder2_act);
if(isset($school_act))$rat_school_act=$rat*2;
if(isset($lib_act))$rat_lib_act=$rat/2;
if(isset($opyt1_act))$rat_opyt1_act=(($rat/100)*$ku['opyt1']);
if(isset($shmel_act))$rat_seeder2_act=$rat_seeder2_act*2;
$ratt=$rat_drakon_act+$rat_opyt1_act+$rat_sc_act+$rat_seeder2_act+$rat_school_act+$rat_lib_act;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp))$rat=$rat*2;
if(isset($dexp5))$rat=$rat*5;

if($gos['id_plant2']==$plant2['id'] && $gos['type']=='rating' && isset($mc))$rat=$rat*2;
mysql_query("UPDATE `kolhoz_polka2` SET `id_plant2` = '$plant2[id]', `time_soil2` = '".($time+$plant2['time_soil2'])."', `time_water2` = '".($time+120)."', `soil2` = '0', `time` = '".($plant2['time']+$time)."' WHERE `id` = '$polka2[id]' LIMIT 1");
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']-$rubies)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `day_rating` = '".($ku['day_rating']+$rat)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `last_plant2` = '$plant2[id]' WHERE `id` = '$ku[id]'");
$_SESSION['rating']=$rat;
update_mc($rat);
}
else
{
$nm=$plant2['cena']-$ku['rubies'];
$_SESSION['no_rubies']=$nm;
}
header("Location:?mycellar&".passgen());
exit;
}
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_plant2`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `kolhoz_plant2` ORDER BY `level` ASC LIMIT $start, $set[p_str]");
echo "<ul>";
while($post=mysql_fetch_array($q))
{
echo "<li style='padding-bottom:8px'>";
echo "<img width='48' height='48' src='img/plants/$post[id].png' alt='o' class='portrait'>";
echo "<div class='small'>";
echo "".($ku['level']>=$post['level']?"<a href='?mycellar&seat2=$polka2[id]&select=$post[id]'>":null)."<span>".hsc($post['name'])."</span>".($ku['level']>=$post['level']?"</a>":null)." <span class='minor'>, ".($ku['level']>=$post['level']?"цена: </span><span><img width='16' height='16' src='img/icons/ruby.png' alt='o'><span class='title'>$post[cena]</span></span>":"доступно с $post[level] уровня</span>")."</div><div class='small minor'> Время готовки: <span class='title'>".time_left($post['time'])."</span><br>Доход: <img width='16' height='16' src='img/icons/ruby.png' alt='o'> <span>$post[rubies]</span>,
Опыт: <img width='16' height='16' src='img/icons/experience.png' alt='o'> <span>$post[rating]</span>,
Готово: <span>$post[count]</span> <span>банка</span></div></li>";
}
echo "</ul>";
if ($k_page>1)str("?mycellar&seat2=$polka2[id]&",$k_page,$page); // Вывод страниц
echo "</div>";
include_once 'inc/foot.php';
}
?>